KDE 4.7 PyKDE API Reference

- KDE's Python API

# HTMLPreElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

Preformatted text. See the <a href="http://www.w3.org/TR/REC-html40/struct/text.html#edef-PRE"> PRE element definition in HTML 4.0.

## Methods
| __init__ (self)
| __init__ (self, DOM.HTMLPreElement other)
| __init__ (self, DOM.Node other)
| setWidth (self, long a0)
long | width (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLPreElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

setWidth | ( | self, |
|  | long | a0
| ) |  |  |

see width

long width | ( |  | self ) |

Fixed width for content. See the <a href="http://www.w3.org/TR/REC-html40/struct/text.html#adef-width-PRE"> width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.